% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/reorientLinkageGroups.R
\docType{methods}
\name{reorientLinkageGroups,LinkageGroupList,StrandStateMatrix-method}
\alias{reorientLinkageGroups}
\alias{reorientLinkageGroups,LinkageGroupList,StrandStateMatrix-method}
\alias{reorientLinkageGroups-LinkageGroupList-StrandStateMatrix-method}
\title{reorientLinkageGroups uses a simple dissimilarity to find misoriented fragments within linkage groups.}
\usage{
\S4method{reorientLinkageGroups}{LinkageGroupList,StrandStateMatrix}(object,
  allStrands, previousOrient = NULL, verbose = TRUE)
}
\arguments{
\item{object}{List of vectors containing names of contigs belonging to each LG.}

\item{allStrands}{Table of type \code{strandStateMatrix} encompassing strand state for all contigs. Product of StrandSeqFreqTable.}

\item{previousOrient}{data.frame of type \code{OrientationFrame} of previous orientation states if performed. Default is NULL}

\item{verbose}{Outputs information to the terminal. Default is TRUE.}
}
\value{
a list consisting of a strandStateMatrix (a reoriented version of allStrands), and a data.frame of type OrientationFrame containing contig names and orientations, as '+' or '-'.
}
\description{
reorientLinkageGroups uses a simple dissimilarity to find misoriented fragments within linkage groups.
}
\examples{
data(exampleWCMatrix)
clusteredContigs <- clusterContigs(exampleWCMatrix, randomise=FALSE)

reorientedMatrix <- reorientLinkageGroups(clusteredContigs,
										  exampleWCMatrix)

# Note that in this example data, everything is correctly oreiented to
# to begin with, so all contigs come out as + orientation
}

